List All Tasks
curl --request GET \
--url https://api.audioshake.ai/tasks \
--header 'x-api-key: <api-key>'import requests
url = "https://api.audioshake.ai/tasks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.audioshake.ai/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"clientId": "<string>",
"cost": 123,
"assetId": "<string>",
"url": "<string>",
"metadata": "<string>",
"targets": [
{
"id": "<string>",
"model": "<string>",
"status": "processing",
"formats": [
"<string>"
],
"output": [
{
"name": "<string>",
"format": "<string>",
"link": "<string>"
}
],
"cost": 123,
"error": {
"code": 123,
"message": "<string>"
},
"duration": 123,
"residual": true,
"language": "<string>",
"transcriptUrl": "<string>",
"transcriptAssetId": "<string>"
}
]
}
]Tasks
List Tasks
GET
/
tasks
List All Tasks
Retrieve a paginated list of all Tasks in your account.
Authorizations
Query Parameters
Number of records to skip for pagination
Required range:
x >= 0Maximum number of records to return per page
Required range:
1 <= x <= 100Response
200 - application/json
Default Response
Unique identifier of the Task
Timestamp of when the Task was created
Timestamp of when the Task was completed
Unique identifier of the client
Processing cost in credits
Asset ID of an input media file. Mutually exclusive with url
URL of an input media file. Mutually exclusive with assetId
Client-provided metadata. Stored and returned as-is in responses and webhooks.
Processing targets and their current status
Show child attributes
Show child attributes
Was this page helpful?